=== modified file 'drizzled/atomics.h'
--- drizzled/atomics.h	2010-01-02 23:14:29 +0000
+++ drizzled/atomics.h	2010-01-02 23:27:00 +0000
@@ -113,21 +113,14 @@
     return operator+=(D(0)-addend);
   }
 
-  value_type operator++() {
-    return fetch_and_add(1)+1;
-  }
-
-  value_type operator--() {
-    return fetch_and_add(D(-1))-1;
-  }
-
-  value_type operator++(int) {
-    return fetch_and_add(1)+1;
-  }
-
-  value_type operator--(int) {
-    return fetch_and_add(D(-1))-1;
-  }
+  value_type increment() {
+    return fetch_and_add(1)+1;
+  }
+
+  value_type decrement() {
+    return fetch_and_add(D(-1))-1;
+  }
+
 
 };
 

=== modified file 'drizzled/drizzled.cc'
--- drizzled/drizzled.cc	2009-12-27 17:21:39 +0000
+++ drizzled/drizzled.cc	2010-01-02 23:27:00 +0000
@@ -743,7 +743,7 @@
 
 void Session::unlink(Session *session)
 {
-  connection_count--;
+  connection_count.decrement();
 
   session->cleanup();
 

=== modified file 'drizzled/query_id.cc'
--- drizzled/query_id.cc	2009-12-23 21:16:15 +0000
+++ drizzled/query_id.cc	2010-01-02 23:27:00 +0000
@@ -38,7 +38,7 @@
 
 uint64_t Query_id::next()
 {
-  uint64_t ret= the_query_id++;
+  uint64_t ret= the_query_id.increment();
 
   return ret;
 }

=== modified file 'drizzled/session.cc'
--- drizzled/session.cc	2009-12-30 18:44:00 +0000
+++ drizzled/session.cc	2010-01-02 23:27:00 +0000
@@ -605,7 +605,7 @@
   scheduler= plugin::Scheduler::getScheduler();
   assert(scheduler);
 
-  ++connection_count;
+  connection_count.increment();
 
   if (connection_count > max_used_connections)
     max_used_connections= connection_count;

=== modified file 'plugin/multi_thread/multi_thread.cc'
--- plugin/multi_thread/multi_thread.cc	2009-12-21 09:40:31 +0000
+++ plugin/multi_thread/multi_thread.cc	2010-01-02 23:27:00 +0000
@@ -51,12 +51,12 @@
   if (thread_count >= max_threads)
     return true;
 
-  thread_count++;
+  thread_count.increment();
 
   if (pthread_create(&session->real_id, &attr, session_thread,
                      static_cast<void*>(session)))
   {
-    thread_count--;
+    thread_count.decrement();
     return true;
   }
 
@@ -68,7 +68,7 @@
 {
   /* Locks LOCK_thread_count and deletes session */
   Session::unlink(session);
-  thread_count--;
+  thread_count.decrement();
   my_thread_end();
   pthread_exit(0);
   /* We should never reach this point. */

